import { PageModuleLoadResult, PageModule, HUBJSONPResult } from './types';
import { StylesheetLoader } from './StylesheetLoader';
declare global {
    interface Window {
        __HUB_JSONP: HUBJSONPResult[];
    }
}
export declare class PageLoader {
    private releaseVersion;
    private initialPagePath;
    private stylesheetLoader;
    private loadingModules;
    loadedModules: Record<string, PageModuleLoadResult>;
    constructor({ releaseVersion, initialPagePath, stylesheetLoader, }: {
        releaseVersion: string;
        initialPagePath: string;
        stylesheetLoader: StylesheetLoader;
    });
    loadPage(pagePath: string): Promise<PageModule>;
    getLoadedPageComponent(pagePath: string): PageModuleLoadResult;
    private onPageModuleLoad;
    private registerPage;
    private loadScript;
}
