/// <reference types="node" />
declare type Dictionary<T> = {
    [key: string]: T;
};
interface IconSize {
    readonly width: number;
    readonly height: number;
}
interface Application {
    readonly platform?: string;
    readonly url?: string;
    readonly id?: string;
}
interface FileOptions {
    readonly manifestFileName?: string;
}
interface ShortcutOptions {
    readonly name: string;
    readonly short_name?: string;
    readonly description?: string;
    readonly url: string;
    readonly icon?: string | string[] | Buffer | Buffer[];
}
interface OutputOptions {
    readonly images?: boolean;
    readonly files?: boolean;
    readonly html?: boolean;
}
export interface IconOptions {
    readonly sizes: IconSize[];
    readonly offset?: number;
    readonly background?: string | boolean;
    readonly transparent: boolean;
    readonly rotate: boolean;
    readonly purpose?: string;
    readonly pixelArt?: boolean;
}
export interface FaviconOptions {
    readonly path?: string;
    readonly appName?: string;
    readonly appShortName?: string;
    readonly appDescription?: string;
    readonly developerName?: string;
    readonly developerURL?: string;
    readonly dir?: string;
    readonly lang?: string;
    readonly background?: string;
    readonly theme_color?: string;
    readonly appleStatusBarStyle?: string;
    readonly display?: string;
    readonly orientation?: string;
    readonly scope?: string;
    readonly start_url?: string;
    readonly version?: string;
    readonly pixel_art?: boolean;
    readonly loadManifestWithCredentials?: boolean;
    readonly manifestRelativePaths?: boolean;
    readonly manifestMaskable?: boolean | string | string[] | Buffer | Buffer[];
    readonly preferRelatedApplications?: boolean;
    readonly relatedApplications?: Application[];
    readonly icons?: Dictionary<IconOptions | boolean | string[]>;
    readonly files?: Dictionary<FileOptions>;
    readonly shortcuts?: ShortcutOptions[];
    readonly output?: OutputOptions;
}
export {};
